Bug 1448121 - AMD-Vi Completion-Wait loop timed out
Summary: AMD-Vi Completion-Wait loop timed out
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-04 14:55 UTC by Jan Vesely
Modified: 2017-12-12 10:04 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-12-12 10:04:20 UTC


Attachments (Terms of Use)
panic photo (1.87 MB, image/jpeg)
2017-05-04 14:55 UTC, Jan Vesely
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 101029 None None None 2017-05-18 16:04 UTC

Description Jan Vesely 2017-05-04 14:55:21 UTC
Created attachment 1276371 [details]
panic photo

Description of problem:
Boot fails with continuous flood of messages:
AMD-Vi: Completion-Wait loop timed out
VMD-Vi: Event logged [

after few minutes the kernel panics

Version-Release number of selected component (if applicable):
$ rpm -q kernel
kernel-4.10.13-200.fc25.x86_64

How reproducible:
always

Steps to Reproduce:
1. try to boot


Actual results:
Bot Fails

Expected results:
boot OK

Additional info:
Machine:
Acer Aspire E-15 (E5-553G-F55F)
AMD FX-9800P

appending iommu=off results in successful boot.
This failure began with 4.9.4 kernel and a new firmware (sorry don't remember the version). Reverting to the older firmware fixed the problem for at least 4.9.4. 4.10.x fail the same way with either the old the most recent fw.
I've also tried ROCm kernel and the latest (1.5 4.9 based) fails the same way.

Comment 1 Jan Vesely 2017-05-05 23:23:56 UTC
$ rpm -q linux-firmware
linux-firmware-20170313-72.git695f2d6d.fc25.noarch

Comment 2 Jan Vesely 2017-05-18 16:04:29 UTC
I can confirm that patch [0] from [1] applied on top of upstream 4.10.x fixes the issue for me.

[0]https://patchwork.freedesktop.org/patch/146519/
[1]https://bugs.freedesktop.org/show_bug.cgi?id=101029

Comment 3 Fedora End Of Life 2017-12-12 10:04:20 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.